Package org.springframework.security.web.header.writers

# Enum Class CrossOriginEmbedderPolicyHeaderWriter.CrossOriginEmbedderPolicy

java.lang.Object
java.lang.Enum<CrossOriginEmbedderPolicyHeaderWriter.CrossOriginEmbedderPolicy>
org.springframework.security.web.header.writers.CrossOriginEmbedderPolicyHeaderWriter.CrossOriginEmbedderPolicy

All Implemented Interfaces:
  `Serializable`, `Comparable<CrossOriginEmbedderPolicyHeaderWriter.CrossOriginEmbedderPolicy>`, `Constable`

Enclosing class:
  CrossOriginEmbedderPolicyHeaderWriter

public static enum CrossOriginEmbedderPolicyHeaderWriter.CrossOriginEmbedderPolicy extends Enum<CrossOriginEmbedderPolicyHeaderWriter.CrossOriginEmbedderPolicy>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`REQUIRE_CORP`
`UNSAFE_NONE`

## Method Summary

Modifier and Type
Method
Description
`static CrossOriginEmbedderPolicyHeaderWriter.CrossOriginEmbedderPolicy`
`from(String embedderPolicy)`
`String`
`getPolicy()`
`static CrossOriginEmbedderPolicyHeaderWriter.CrossOriginEmbedderPolicy`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CrossOriginEmbedderPolicyHeaderWriter.CrossOriginEmbedderPolicy[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### UNSAFE_NONE

public static final CrossOriginEmbedderPolicyHeaderWriter.CrossOriginEmbedderPolicy UNSAFE_NONE

### REQUIRE_CORP

public static final CrossOriginEmbedderPolicyHeaderWriter.CrossOriginEmbedderPolicy REQUIRE_CORP

## Method Details

### values

public static CrossOriginEmbedderPolicyHeaderWriter.CrossOriginEmbedderPolicy[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static CrossOriginEmbedderPolicyHeaderWriter.CrossOriginEmbedderPolicy valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getPolicy

public String getPolicy()

### from

public static CrossOriginEmbedderPolicyHeaderWriter.CrossOriginEmbedderPolicy from(String embedderPolicy)